const tools = [
  /minecraft:.*_sword/,
  /minecraft:.*_shovel/, 
  /minecraft:.*_pickaxe/,
  /minecraft:.*_axe/,
  /minecraft:.*_hoe/,
  "minecraft:bow",
  "minecraft:shears",
  "minecraft:fishing_rod",
  "minecraft:shield"
]

onEvent('item.modification', event => {
  for (var i in tools){
    event.modify( tools[i], modItem => 
      {
        modItem.setMaxDamage(1) //or any other value you want there
      })
  }
})